#ifndef MISC_H
#define MISC_H

/**
  * @brief 32비트 변수에서 한 비트를 추출한다.
  * @param reg 변수명(주로 레지스터에 쓰이니까 이름이 reg)
  * @param n 몇 번째 비트를 원하는지 적는다.
  * @return 추출한 비트
  */
bool inline GetOneBit(uint32_t reg, uint8_t n)
{
	return reg >> n & 1;
}

#endif // MISC_H
